Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Class NdsObjectRights

    java.lang.Object
      |
      +--com.novell.service.nds.NdsRights
            |
            +--com.novell.service.nds.NdsObjectRights

public final class NdsObjectRights
extends NdsRights

Provides definitions of the effective rights for objects, and methods for checking effective rights for an object.

See Also:
  `NdsRights`

Field Summary
`static int` | `DS_ENTRY_ADD` Allows a trustee to create new child objects subordinate to an object in the tree.
`static int` | `DS_ENTRY_BROWSE` Allows a trustee to discover and view objects and their subordinates in the NDS tree.
`static int` | `DS_ENTRY_DELETE` Allows a trustee to delete an object.
`static int` | `DS_ENTRY_INHERIT_CTL` Allows a trustee to inherit the rights granted in the ACL, and exercise these rights on subordinate objects.
`static int` | `DS_ENTRY_RENAME` Allows a trustee to change the name of an object.
`static int` | `DS_ENTRY_SUPERVISOR` Grants a trustee all rights to an object and its attributes.

Constructor Summary
`NdsObjectRights(int rights)` Constructs an NdsObjectRights object and sets the object effective rights.

Method Summary
`boolean` | `hasAdd()` Checks to see if an object has add rights.
`boolean` | `hasBrowse()` Checks to see if an object has browse rights.
`boolean` | `hasDelete()` Checks to see if an object has delete rights.
`boolean` | `hasInheritCtl()` Checks to see if an object has inherit CTL rights.
`boolean` | `hasRename()` Checks to see if an object has rename rights.
`boolean` | `hasSupervisor()` Checks to see if an object has supervisor rights.

Methods inherited from class com.novell.service.nds.NdsRights
`getRights`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DS_ENTRY_BROWSE

    public static final int DS_ENTRY_BROWSE

  Allows a trustee to discover and view objects and their subordinates in the NDS tree.

  (DS_ENTRY_BROWSE = 0x1)

### DS_ENTRY_ADD

    public static final int DS_ENTRY_ADD

  Allows a trustee to create new child objects subordinate to an object in the tree.

  This right is available only for objects that can have subordinates, such as containers and volumes.

  (DS_ENTRY_ADD = 0x2)

### DS_ENTRY_DELETE

    public static final int DS_ENTRY_DELETE

  Allows a trustee to delete an object.

  Container objects that have subordinates cannot be deleted until the subordinates are deleted. No property right for the object can block this right.

  (DS_ENTRY_DELETE = 0x4)

### DS_ENTRY_RENAME

    public static final int DS_ENTRY_RENAME

  Allows a trustee to change the name of an object.

  The value of the Name property is changed; however, only the last part of the complete name can be changed with this right. Changing other parts of the name implies a move operation.

  (DS_ENTRY_RENAME = 0x8)

### DS_ENTRY_SUPERVISOR

    public static final int DS_ENTRY_SUPERVISOR

  Grants a trustee all rights to an object and its attributes.

  All rights include object, property, file or directory rights. In the case of a directory, the right applies to all subordinate directories and files. The trustee can grant any right to another user and modify the Inherited Rights Filter. The Supervisor right cannot be filtered on a file or directory, but it can be filtered on an object or property.

  (DS_ENTRY_SUPERVISOR = 0x10)

### DS_ENTRY_INHERIT_CTL

    public static final int DS_ENTRY_INHERIT_CTL

  Allows a trustee to inherit the rights granted in the ACL, and exercise these rights on subordinate objects.

  (DS_ENTRY_INHERIT_CTL = 0x40)

Constructor Detail

### NdsObjectRights

    public NdsObjectRights(int rights)

  Constructs an NdsObjectRights object and sets the object effective rights.
  Parameters:
    `rights` - The object effective rights as defined by the above variables.

Method Detail

### hasBrowse

    public boolean hasBrowse()

  Checks to see if an object has browse rights.

  Calls getRights() for the current object and then checks the browse rights status.

  Returns:
    A Boolean set to TRUE if the object has browse rights, otherwise set to FALSE.
  See Also:
    `NdsRights.getRights()`

### hasAdd

    public boolean hasAdd()

  Checks to see if an object has add rights.

  Calls getRights() for the current object and then checks the add rights status.

  Returns:
    A Boolean set to TRUE if the object has add rights, otherwise set to FALSE.
  See Also:
    `NdsRights.getRights()`

### hasDelete

    public boolean hasDelete()

  Checks to see if an object has delete rights.

  Calls getRights() for the current object and then checks the delete rights status.

  Returns:
    A Boolean set to TRUE if the object has delete rights, otherwise set to FALSE.
  See Also:
    `NdsRights.getRights()`

### hasRename

    public boolean hasRename()

  Checks to see if an object has rename rights.

  Calls getRights() for the current object and then checks the rename rights status.

  Returns:
    A Boolean set to TRUE if the object has rename rights, otherwise set to FALSE.
  See Also:
    `NdsRights.getRights()`

### hasSupervisor

    public boolean hasSupervisor()

  Checks to see if an object has supervisor rights.

  Calls getRights() for the current object and then checks the supervisor rights status.

  Returns:
    A Boolean set to TRUE if the object has supervisor rights, otherwise set to FALSE.
  See Also:
    `NdsRights.getRights()`

### hasInheritCtl

    public boolean hasInheritCtl()

  Checks to see if an object has inherit CTL rights.

  Calls getRights() for the current object and then checks the inherit CTL rights status.

  Returns:
    A Boolean set to TRUE if the object has inherit CTL rights, otherwise set to FALSE.
  See Also:
    `NdsRights.getRights()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD